For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCopy version stack
      • POSTCreate version stack
      • GETList version stack children
      • GETList version stacks
      • PATCHMove version stack
      • GETShow version stack

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceVersion Stacks

Move version stack

PATCH
https://api.frame.io/v4/accounts/:account_id/version_stacks/:version_stack_id/move
PATCH
/v4/accounts/:account_id/version_stacks/:version_stack_id/move
1from frameio import Frameio
2from frameio.version_stacks import VersionStackMoveParamsData
3
4client = Frameio(
5 token="YOUR_TOKEN_HERE",
6)
7
8client.version_stacks.move(
9 account_id="c85a9629-c77a-4823-90a7-0d8da23022c8",
10 version_stack_id="162d5219-7e85-42fd-b8ab-bf8aec18b751",
11 data=VersionStackMoveParamsData(
12 parent_id="2e426fe0-f965-4594-8b2b-b4dff1dc00ec",
13 ),
14)
1{
2 "data": {
3 "head_version": {
4 "id": "6a2b33f7-0ba5-412c-b510-124dd112dd45",
5 "name": "asset.png",
6 "created_at": "2023-09-25T19:18:29.614189Z",
7 "parent_id": "827a6d10-1a65-4ec5-87da-a6f3d61b5aff",
8 "project_id": "5c1d9036-8def-46fc-bced-1dba86114d48",
9 "type": "file",
10 "updated_at": "2024-02-07T16:44:41.986478Z",
11 "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/view/5a89a9fb-0900-4b23-826b-127b90e4db4c",
12 "file_size": 1137444,
13 "media_type": "image/png",
14 "status": "created"
15 },
16 "id": "6a2b33f7-0ba5-412c-b510-124dd112dd45",
17 "name": "asset.png",
18 "parent_id": "827a6d10-1a65-4ec5-87da-a6f3d61b5aff",
19 "created_at": "2023-09-25T19:18:29.614189Z",
20 "project_id": "5c1d9036-8def-46fc-bced-1dba86114d48",
21 "type": "version_stack",
22 "updated_at": "2024-02-07T16:44:41.986478Z",
23 "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/view/5a89a9fb-0900-4b23-826b-127b90e4db4c"
24 }
25}

Move version stack to a folder.
Rate Limits: 10 calls per 1.00 minute(s) per account_user

Was this page helpful?
Previous

Show version stack

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
version_stack_idstringRequiredformat: "uuid"
A UUID String

Request

Request body
dataobjectRequired

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error